Change Log
==========

Toutes les modifications apportées au projet seront documentées dans ce fichier.

Le format est basé sur le modèle [Keep a Changelog](http://keepachangelog.com/)
et adhère aux principes du [Semantic Versioning](http://semver.org/).

## [4.7.21] - 24-10-17

### Corrections

- Certains dossiers n'étaient plus correctement indéxés

## [4.7.20] - 24-08-19

### Corrections

- Une vérification au niveau des dossiers déclenchait des erreurs non attendues

## [4.7.19] - 24-08-06

### Corrections

- Les compteurs de dossiers n'étaient pas correctement mis à jour en mode "multi-tenant"
- L'affichage des métadonnées en administration pouvait poser problème lors d'un usage intensif

## [4.7.18] - 24-06-11

### Corrections

- Mise à jour du composant crypto en 3.0.14
- Mise à jour du composant pastell-connector en 1.4.0-LEGACY
- Mise à jour du composant pdf-stamp en 2.7.0
- Mise à jour du composant libriciel-pdf en 3.0.6
- Mise à jour du composant libersign en 3.1.2
- Les images de signature sont maintenant re-taillées correctement
- Libersign utilise maintenant une version 8 de OpenJDK.
- Un profil secrétaire ne pouvait plus positionner la signature graphique
- Les mises à jour des compteurs de corbeilles pouvaient se bloquer

### Suppressions

- Le format de signature PKCS#1 n'est plus supporté

## [4.7.17] - 23-11-27

### Corrections

- Certaines annotations publiques pouvaient bloquer le traitement des dossiers
- Mise à jour du composant pes-viewer en version 2.0.9
- Mise à jour du composant crypto en 3.0.11
- Mise à jour du composant pdf-stamp en 2.6.4
- Mise à jour du composant libriciel-pdf en 3.0.3
- Mise à jour du composant libersign en 3.0.3

### Suppressions

- Pour des raisons de performances, la recherche plein texte est maintenant désactivée par défaut

